GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "a9312a5a-f8df-4620-a441-9ed370ff73aa",
"program_id": "cc3fa499-e43e-44c9-a133-81f28e1925bd",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "b0525f79-f66d-4323-9954-4e3a1f2d0953",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>a9312a5a-f8df-4620-a441-9ed370ff73aa</id> <medistream_program_step_type_id>b0525f79-f66d-4323-9954-4e3a1f2d0953</medistream_program_step_type_id> <name>sample string 4</name> <program_id>cc3fa499-e43e-44c9-a133-81f28e1925bd</program_id> </medistream_program_step>